<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>
        <record id="informasi_jabatan_tree_view" model="ir.ui.view">
            <field name="name">informasi.jabatan.tree</field>
            <field name="model">informasi.jabatan</field>
            <field eval="1" name="priority"/>
            <field name="arch" type="xml">
                <tree string="Template Jabatan">
                    <field name="company_id"/>
                    <field name="code"/>
                    <field name="name"/>
                    <field name="department_id"/>
                    <field name="user_id_bkd" groups="base.group_no_one"/>
                    <field name="eselon_id" invisible="True" />
                    <field name="level" invisible="True"/>
                </tree>
            </field>
        </record>
        <record id="informasi_jabatan_form_view" model="ir.ui.view">
            <field name="name">informasi.jabatan.form</field>
            <field name="model">informasi.jabatan</field>
            <field eval="0" name="priority"/>
            <field name="arch" type="xml">
                <form string="Template Jabatan" version="7.0">
                    <header>
                        <button type="object" id="stage_propose" name="action_propose" String="Ajukan Ke BKD" attrs="{'invisible':[('stage','!=','9')]}" groups="df_partner_employee.group_partner_employee"  />
                        <button type="object" id="stage_cancel" name="action_cancel" String="Batalkan" attrs="{'invisible':[('state','!=','draft')]}" groups="df_partner_employee.group_partner_employee"  confirm="Anda Yakin Akan Membatalkan Pengisian Data Ini?"/>
                        <button type="object" id="state_done" name="action_done" String="Selesai" attrs="{'invisible':[('state','!=','bkd')]}"  groups="df_analisa_jabatan.group_anjab_admin" />
                        <button type="object" id="state_draft" name="action_tolak" String="Tolak" attrs="{'invisible':[('state','!=','bkd')]}"  groups="df_analisa_jabatan.group_anjab_admin" />
                        <span name="for_inherit_header_object"/>
                        <field name="state" readonly="1" widget="statusbar"/>
                    </header>
                    <sheet>
                        <div class="oe_title">
                            <h4>
                                <label class="oe_edit_only" for="template_jabatan_id"/>
                                <field domain="[('company_id','=',company_id),('job_type','=',user_job_type)]" name="template_jabatan_id" on_change="onchange_template_jabatan(template_jabatan_id)" attrs="{'readonly':[('stage','!=','1')]}" options="{'no_create': True,'no_open': True}" />
                                <field invisible="True" name="name" placeholder="Nama Jabatan"/>
                                <field invisible="True" name="code" placeholder="Kode Jabatan"/>
                                <field invisible="True" name="stage"/>
                            </h4>
                        </div>
                        <notebook id="nb_1">
                            <page name="page_main_info" string="Nama Jab.">
                                <group id="group_1">
                                    <field invisible="True" name="user_job_type"/>
                                    <field invisible="False" name="company_id" readonly="True" options="{'no_create': True,'no_open': True}" />
                                    <field invisible="False" name="partner_id" readonly="True" attrs="{'readonly':[('state','!=','draft')]}" options="{'no_create': True,'no_open': True}" />
                                    <field invisible="True" name="user_id"/>
                                    <field name="department_id" readonly="True" options="{'no_create': True,'no_open': True}"/>
                                    <field name="job_type" readonly="True" />
                                    <field attrs="{'required': [('job_type','=','struktural')]}" name="eselon_id" widget="selection"  readonly="True"/>
                                    <field attrs="{'invisible': [('job_type','!=','jft')]}" name="tingkat_jabatan_id" widget="selection" readonly="True"/>
                                    <field attrs="{'invisible':[('job_type','!=','jft')]}" domain="[('tingkat_jabatan_id','=',tingkat_jabatan_id)]" name="jenjang_jabatan_id" widget="selection" />
                                    <field invisible="True" name="level"/>
                                </group>
                            </page>
                            <page attrs="{'invisible':[('stage','not in',['2','3','4','5','6','7','8','9','99'])]}" name="page_uraian_opd" string="Ikhtisar Jab.">
                                <div class="panel-group" id="accordion">
                                    <div class="panel panel-default">
                                      <div class="panel-heading">
                                        <h4 class="panel-title">
                                          <a data-toggle="collapse" data-parent="#accordion" href="#collapseOne">
                                            Uraian Tugas OPD
                                          </a>
                                        </h4>
                                      </div>
                                      <div id="collapseOne" class="panel-collapse collapse"> <!-- if open tambah in ,contoh colapse.html -->
                                        <div class="panel-body">
                                                <field context="{'default_template_id': active_id,}" name="uraian_tugas_opd_ids"   attrs="{'readonly':[('state','!=','draft')]}" >
                                                    <tree create="false" delete="false" >
                                                        <field invisible="True" name="template_id"/>
                                                        <field name="name" readonly="True" string=""/>
                                                    </tree>
                                                </field>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="panel panel-default">
                                      <div class="panel-heading">
                                        <h4 class="panel-title">
                                          <a data-toggle="collapse" data-parent="#accordion" href="#collapseTwo">
                                            Indikator Kinerja OPD
                                          </a>
                                        </h4>
                                      </div>
                                      <div id="collapseTwo" class="panel-collapse collapse">
                                        <div class="panel-body">
                                            <field context="{'default_template_id': active_id,}" name="indikator_kinerja_opd_ids"  attrs="{'readonly':[('state','!=','draft')]}" >
                                                    <tree create="false" delete="false">
                                                        <field invisible="True" name="template_id"/>
                                                        <field name="name" readonly="True" string=""/>
                                                    </tree>
                                            </field>
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                
                                <group String="Ikhtisar Dan Indikator Kinerja Jabatan">
                                    <field name="ikhtisar" readonly="True" string="Ikhtisar Jabatan"/>
                                    <field name="use_ikhtisar_template" required="True"  attrs="{'readonly':[('state','!=','draft')]}" />
                                    <field attrs="{'invisible': [('use_ikhtisar_template','=','ya')],'required': [('use_ikhtisar_template','=','tidak')],'readonly':[('state','!=','draft')]}" name="ikhtisar_jabatan"/>
                                </group>
                                <hr />
                                <div id="div_indikator_kinerja_jabatan_label">
                                    <span>
                                        <strong>  
                                            Pilihlah Indikator Kinerja Dibawah ini Yang BerkaiatanBerkaitan Langsung Dengan Jabatan Anda : 
                                        </strong>
                                    </span>
                                 </div>
                                 <br/>
                                <div  id="div_indikator_kinerja_jabatan">
                                        <field context="{'default_template_id': active_id,'default_name': '-',}" name="indikator_kinerja_jabatan_ids"  attrs="{'readonly':[('state','!=','draft')]}" >
                                            <tree editable="bottom" colors="blue:is_use==True;red:is_use!=True;" >
                                                <field invisible="True" name="template_id"/>
                                                <field name="is_use"  style="background-color:#F2DEDE ;"/>
                                                <field name="name"  required="True"/>
                                            </tree>
                                        </field>
                                         <br/>
                                        <span> 
                                            <i>*Pemilihan Indikator Kinerja Boleh Lebih Dari Satu.</i> <br/>
                                            <i>*Anda Juga Dapat Menambahkan Indikator Kinerja Jabatan Dengan Menekan Link <strong>Tambah </strong> Jika Tidak Ada Satupun Data Template Indikator Kinerja Yang Tidak Sesuai Dengan Jabatan Anda.</i> <br/>
                                        </span>
                                </div>
                            </page>
                            <page attrs="{'invisible':[('stage','not in',['3','4','5','6','7','8','9','99'])]}" name="page_uraian_tugas" string="Uraian Tugas">
                                <div id="div_indikator_kinerja_jabatan_label">
                                    <span>
                                        <strong>  
                                            Pilihlah Uraian Tugas Dibawah Ini, Lalu Pasangkan Dengan Indikator Kinerja Yang Berkaitan Langsung Dengan Jabatan Anda : 
                                        </strong>
                                    </span>
                                    
                                 </div>
                                <br/>
                                <field context="{'default_template_id': active_id,'default_is_input_indikator_kinerja':True,}" name="uraian_tugas_ids" attrs="{'readonly':[('state','!=','draft')]}">
                                    <tree    delete="false" colors="blue:is_use==True;red:is_use!=True;">
                                        <field invisible="True" name="template_id"/>
                                        <field invisible="True" name="template_uraian_id"/>
                                       <field name="is_use"  style="background-color:#F2DEDE ;"/>
                                        <field invisible="True" name="is_input_indikator_kinerja"/>
                                        <field attrs="{'required': [('is_use','=',True),('is_input_indikator_kinerja','=',True)]}" name="name"/>
                                        <field attrs="{'required': [('is_use','=',True),('is_input_indikator_kinerja','=',True)]}" domain="[('template_id', '=',parent.id),('is_use','=',True)]" name="indikator_ids" widget="many2many_tags" options="{'no_create': True}"/>
                                    </tree>
                                    <form>
                                        <group>
                                            <field invisible="True" name="template_id"/>
                                            <field invisible="True" name="template_uraian_id"/>
                                            <field invisible="True" name="is_input_indikator_kinerja"/>
                                            <field attrs="{'required': [('is_use','=',True),('is_input_indikator_kinerja','=',True)]}" name="name" readonly="False" required="True" />
                                            <field name="is_use"  />
                                            <field attrs="{'required': [('is_use','=',True),('is_input_indikator_kinerja','=',True)]}" domain="[('template_id', '=',parent.id),('is_use','=',True)]" name="indikator_ids" widget="many2many_checkboxes" options="{'no_create': True}"/>
                                        </group>
                                    </form>
                                </field>
                                <br/>
                                        <span> 
                                            <i>*Pemilihan Uraian Tugas Boleh Lebih Dari Satu.</i> <br/>
                                            <i>*Pemasangan Indikator Kinerja Pada Uraian Tugas Boleh Lebih Dari Satu.</i> <br/>
                                            <i>*Anda Juga Dapat Menambahkan Uraian Tugas Dengan Menekan Link <strong>Tambah </strong> Jika Tidak Ada Satupun Data Template Uraian Tugas Yang Tidak Sesuai Dengan Jabatan Anda.</i> <br/>
                                        </span>
                                <hr/>
                                <div align="left">
                                    <button String="Test Isi Uraian Tugas" class="oe_highlight" id="set_uraian_tugas_jabatan" name="set_uraian_tugas_jabatan" type="object" invisible="True"/>
                                    <button String="Set Ulang Standar Kompetensi" class="oe_highlight" id="set_standar_kompetensi_jabatan" name="set_standar_kompetensi_jabatan" type="object" attrs="{'invisible':[('state','!=','draft')]}"  groups="df_analisa_jabatan.group_anjab_admin" />
                                    <button String="Set Ulang Evaluasi Jabatan" class="oe_highlight" id="set_evaluasi_jabatan" name="set_evaluasi_jabatan" type="object" attrs="{'invisible':[('state','!=','draft')]}" groups="df_analisa_jabatan.group_anjab_admin"/>
                                    <button String="Set Ulang Hasil Kerja" class="oe_highlight" id="stage_test" name="set_hasil_kerja" type="object" attrs="{'invisible':[('state','!=','draft')]}" groups="df_analisa_jabatan.group_anjab_admin"/>
                                    <button String="Set Ulang Tahapan Kerja" class="oe_highlight" id="stage_tahapan_test" name="set_tahapan_kerja" type="object" attrs="{'invisible':[('state','!=','draft')]}" groups="df_analisa_jabatan.group_anjab_admin"/>

                                    <button String="Atur Ulang Uraian Tugas"  id="rebuild_uraian_tugas" name="rebuild_uraian_tugas" type="object" attrs="{'invisible':[('stage','not in',['4','5','6','7','8','9'])]}" />
                                    <br/>
                                    <i>*Tekan Tombol Ini Jika Terdapat Perubahan Pilihan Uraian Tugas Dan Jika Anda Sudah Terlanjur Melawati Tahapan Pengisian Uraian Tugas (Atau Mengisi Standar Kompetensi, Evaluasi Jabatan, Tahapan Kerja, Hasil Kerja )</i>
                                </div>
                            </page>
                            <page attrs="{'invisible':[('stage','not in',['4','5','6','7','8','9','99'])]}" name="page_standar_kompetensi" string="Kompetensi" >
                                <span>
                                        <strong>  
                                            Silakan Isi Standar Minimal Kompetensi Dan Kompetensi Anda Saat Ini Di Seluruh Poin Uraian Tugas: 
                                        </strong>
                                        <br/>
                                </span>
                                
                                <br/>
                                <field context="{'default_template_id': active_id,}" name="standar_kompetensi_ids" attrs="{'readonly':[('state','!=','draft')]}" >
                                    <tree create="false" delete="false">
                                        <field invisible="True" name="template_id"/>
                                        <field domain="[('template_id', '=',parent.id),('is_use','=',True)]" name="uraian_id" readonly="True" required="True"/>
                                        <field name="unit_manajerial_ids"/>
                                        <field name="unit_teknis_ids"/>
                                        <field name="unit_sosiokultural_ids"/>
                                        <field name="unit_pemerintahan_ids"/>
                                    </tree>
                                    <form>
                                        <group>
                                            <field invisible="True" name="template_id"/>
                                            <field domain="[('template_id', '=',parent.id),('is_use','=',True)]" name="uraian_id" readonly="True" required="True" options="{'no_open': True}" />
                                            <field invisible="True" name="is_manajerial"/>
                                            <field invisible="True" name="is_teknis"/>
                                            <field invisible="True" name="is_sosiokultural"/>
                                            <field invisible="True" name="is_pemerintahan"/>
                                            <field invisible="True" name="min_level_kompetensi"/>
                                            <field invisible="True" name="max_level_kompetensi"/>
                                            
                                        </group>
                                        <hr/>
                                        <group>
                                            <field context="{'default_standar_kompetensi_id': active_id,'default_jenis_standar_kompetensi': 'manajerial'}" name="unit_manajerial_ids">
                                                <tree editable="bottom">
                                                    <field invisible="True" name="standar_kompetensi_id"/>
                                                    <field invisible="True" name="jenis_standar_kompetensi"/>
                                                    <field domain="[('jenis_standar_kompetensi', '=','manajerial')]" name="unit_id" required="True" options="{'no_create': True}"  on_change="onchange_unit_standar_kompetensi(unit_id)" />
                                                    <field domain="[('unit_kompetensi_id', '=',unit_id),('jenis_standar_kompetensi', '=','manajerial'),('level_value', '&gt;=',parent.min_level_kompetensi),('level_value', '&lt;=',parent.max_level_kompetensi)]" name="level_min_id" required="True" options="{'no_create': True,'no_open': True}"/>
                                                    <field domain="[('unit_kompetensi_id', '=',unit_id),('jenis_standar_kompetensi', '=','manajerial'),('level_value', '&gt;=',parent.min_level_kompetensi),('level_value', '&lt;=',parent.max_level_kompetensi)]" name="level_id" required="True" options="{'no_create': True,'no_open': True}"/>
                                                </tree>
                                            </field>
                                            <field context="{'default_standar_kompetensi_id': active_id,'default_jenis_standar_kompetensi': 'teknis'}" name="unit_teknis_ids">
                                                <tree editable="bottom">
                                                    <field invisible="True" name="standar_kompetensi_id"/>
                                                    <field invisible="True" name="jenis_standar_kompetensi"/>
                                                    <field domain="[('jenis_standar_kompetensi', '=','teknis')]" name="unit_id" required="True" options="{'no_open': True}" on_change="onchange_unit_standar_kompetensi(unit_id)" context="{'default_jenis_standar_kompetensi': 'teknis'}"  />
                                                    <field domain="[('jenis_standar_kompetensi', '=','teknis'),]" name="level_min_id" required="True" options="{'no_create': True,'no_open': True}"/>
                                                    <field domain="[('jenis_standar_kompetensi', '=','teknis'),]" name="level_id" required="True" options="{'no_create': True,'no_open': True}"/>
                                                    <!-- <field domain="[('unit_kompetensi_id', '=',unit_id),('jenis_standar_kompetensi', '=','teknis'),('level_value', '&gt;=',parent.min_level_kompetensi),('level_value', '&lt;=',parent.max_level_kompetensi)]" name="level_min_id" required="True" options="{'no_create': True,'no_open': True}"/>
                                                    <field domain="[('unit_kompetensi_id', '=',unit_id),('jenis_standar_kompetensi', '=','teknis'),('level_value', '&gt;=',parent.min_level_kompetensi),('level_value', '&lt;=',parent.max_level_kompetensi)]" name="level_id" required="True" options="{'no_create': True,'no_open': True}"/> -->
                                                </tree>
                                            </field>
                                            <field context="{'default_standar_kompetensi_id': active_id,'default_jenis_standar_kompetensi': 'sosiokultural'}" name="unit_sosiokultural_ids">
                                                <tree domain="[('jenis_standar_kompetensi', '=','sosiokultural')]" editable="bottom">
                                                    <field invisible="True" name="standar_kompetensi_id"/>
                                                    <field invisible="True" name="jenis_standar_kompetensi"/>
                                                    <field domain="[('jenis_standar_kompetensi', '=','sosiokultural')]" name="unit_id" required="True" options="{'no_open': True}" on_change="onchange_unit_standar_kompetensi(unit_id)" context="{'default_jenis_standar_kompetensi': 'sosiokultural'}" />
                                                    <field domain="[('jenis_standar_kompetensi', '=','sosiokultural')]" name="level_min_id" required="True" options="{'no_create': True,'no_open': True}"/>
                                                    <field domain="[('jenis_standar_kompetensi', '=','sosiokultural')]"  name="level_id" required="True" options="{'no_create': True,'no_open': True}"/> 
                                                    <!-- <field domain="[('unit_kompetensi_id', '=',unit_id),('jenis_standar_kompetensi', '=','sosiokultural'),('level_value', '&gt;=',parent.min_level_kompetensi),('level_value', '&lt;=',parent.max_level_kompetensi)]" name="level_min_id" required="True" options="{'no_create': True,'no_open': True}"/>
                                                    <field domain="[('unit_kompetensi_id', '=',unit_id),('jenis_standar_kompetensi', '=','sosiokultural'),('level_value', '&gt;=',parent.min_level_kompetensi),('level_value', '&lt;=',parent.max_level_kompetensi)]" name="level_id" required="True" options="{'no_create': True,'no_open': True}"/> -->
                                                </tree>
                                            </field>
                                            <field context="{'default_standar_kompetensi_id': active_id,'default_jenis_standar_kompetensi': 'pemerintahan'}" name="unit_pemerintahan_ids">
                                                <tree domain="[('jenis_standar_kompetensi', '=','pemerintahan')]" editable="bottom">
                                                    <field invisible="True" name="standar_kompetensi_id"/>
                                                    <field invisible="True" name="jenis_standar_kompetensi"/>
                                                    <field domain="[('jenis_standar_kompetensi', '=','pemerintahan')]" name="unit_id" required="True" options="{'no_open': True}" on_change="onchange_unit_standar_kompetensi(unit_id)" context="{'default_jenis_standar_kompetensi': 'pemerintahan'}" />
                                                     <field domain="[('jenis_standar_kompetensi', '=','pemerintahan')]" name="level_min_id" required="True" options="{'no_create': True,'no_open': True}"/>
                                                   <field domain="[('jenis_standar_kompetensi', '=','pemerintahan')]"  name="level_id" required="True" options="{'no_create': True,'no_open': True}"/>
                                                   <!--  <field domain="[('unit_kompetensi_id', '=',unit_id),('jenis_standar_kompetensi', '=','pemerintahan'),('level_value', '&gt;=',parent.min_level_kompetensi),('level_value', '&lt;=',parent.max_level_kompetensi)]" name="level_min_id" required="True" options="{'no_create': True,'no_open': True}"/>
                                                   <field domain="[('unit_kompetensi_id', '=',unit_id),('jenis_standar_kompetensi', '=','pemerintahan'),('level_value', '&gt;=',parent.min_level_kompetensi),('level_value', '&lt;=',parent.max_level_kompetensi)]" name="level_id" required="True" options="{'no_create': True,'no_open': True}"/> -->
                                                </tree>
                                            </field>
                                        </group>
                                    </form>
                                </field>
                                <br/>
                                        <span> 
                                            <i>*Untuk Saat Ini Yang Wajib Diisi Adalah Standar Kompetensi Manajerial.</i> <br/>
                                            <i>*Setiap Uraian Tugas Wajib Diiskan Standar Kompetensi Minimal Dan Kompetensi Anda Saat Ini.</i> <br/>
                                            <i>*Setiap Uraian Tugas Boleh Diiskan Lebih Dari Satu Standar Kompetensi.</i> <br/>
                                            <i>*Apabila Terdapat Ketidaksesuain Uraian Tugas Jabatan, Silakan Kembali Ke Tab <strong>Uraian Tugas</strong>,Koreksi Uraian Tugas,  Lalu Tekan Tombol <strong>Atur Ulang Uraian Tugas</strong>.</i> <br/>
                                        </span>
                            </page>
                            <page attrs="{'invisible':[('stage','not in',['5','6','7','8','9','99'])]}" name="page_evaluasi_jabatan" string="Evaluasi Jab.">
                                <span>
                                        <strong>  
                                            Silakan Isi Faktor Evaluasi Jabatan Ini Di Seluruh Poin Uraian Tugas: 
                                        </strong>
                                        <br/>
                                </span>
                                <br/>
                                <field context="{'default_template_id': active_id,}" name="evaluasi_jabatan_ids" attrs="{'readonly':[('state','!=','draft')]}" >
                                    <tree create="false" delete="false" colors="blue:total_nilai_uraian != 0;">
                                        <field invisible="True" name="template_id"/>
                                        <field domain="[('template_id', '=',parent.id),('is_use','=',True)]" name="uraian_id" readonly="True"/>
                                        <field  name="total_nilai_uraian" groups="df_analisa_jabatan.group_anjab_admin" />
                                    </tree>
                                    <form>
                                        <group>
                                            <field invisible="True" name="template_id"/>
                                            <field invisible="True" name="job_type"/>
                                            <field domain="[('template_id', '=',parent.id),('is_use','=',True)]" name="uraian_id" readonly="True" options="{'no_create': True,'no_open': True}"/>
                                            <field  name="total_nilai_uraian" groups="df_analisa_jabatan.group_anjab_admin" />
                                        </group>
                                        <hr/>
                                        <group>
                                            <field context="{'default_evaluasi_id': active_id,}" name="faktor_rl_dampak">
                                                <tree editable="bottom">
                                                    <field invisible="True" name="evaluasi_id"/>
                                                    <field name="name" options="{'no_create': True,'no_open': True}" on_change="onchange_sub_faktor(name)" domain="[('jenis_faktor_jabatan','=','rl_dampak'),('job_type', '=',parent.job_type)]" />
                                                    <field name="level_min_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level_min(level_min_id)"/>
                                                    <field name="level_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level(level_id)"/>
                                                    <field name="level_min_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                    <field name="level_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                </tree>
                                            </field>
                                            <field name="faktor_rl_dampak_value" string="Total"  groups="df_analisa_jabatan.group_anjab_admin" />
                                            
                                            <field attrs="{'invisible': [('job_type','!=','struktural')]}" context="{'default_evaluasi_id': active_id,}" name="faktor_pengaturan_org">
                                                <tree editable="bottom">
                                                    <field invisible="True" name="evaluasi_id"/>
                                                    <field name="name" options="{'no_create': True,'no_open': True}" on_change="onchange_sub_faktor(name)" domain="[('jenis_faktor_jabatan','=','pengaturan_org'),('job_type', '=',parent.job_type)]" />
                                                    <field name="level_min_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level_min(level_min_id)"/>
                                                    <field name="level_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level(level_id)"/>
                                                    <field name="level_min_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                    <field name="level_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                </tree>
                                            </field>
                                            <field name="faktor_pengaturan_org_value" string="Total" attrs="{'invisible': [('job_type','!=','struktural')]}" groups="df_analisa_jabatan.group_anjab_admin" />

                                            <field attrs="{'invisible': [('job_type','!=','struktural')]}" context="{'default_evaluasi_id': active_id,}" name="faktor_wewenang">
                                                <tree editable="bottom">
                                                    <field invisible="True" name="evaluasi_id"/>
                                                     <field name="name" options="{'no_create': True,'no_open': True}" on_change="onchange_sub_faktor(name)" domain="[('jenis_faktor_jabatan','=','wewenang'),('job_type', '=',parent.job_type)]" />
                                                    <field name="level_min_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level_min(level_min_id)"/>
                                                    <field name="level_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level(level_id)"/>
                                                    <field name="level_min_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                    <field name="level_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                </tree>
                                            </field>
                                             <field name="faktor_wewenang_value" string="Total" attrs="{'invisible': [('job_type','!=','struktural')]}" groups="df_analisa_jabatan.group_anjab_admin" />

                                            <field context="{'default_evaluasi_id': active_id,}" name="faktor_hub_personal">
                                                <tree editable="bottom">
                                                    <field invisible="True" name="evaluasi_id"/>
                                                      <field name="name" options="{'no_create': True,'no_open': True}" on_change="onchange_sub_faktor(name)" domain="[('jenis_faktor_jabatan','=','hub_personal'),('job_type', '=',parent.job_type)]" />
                                                    <field name="level_min_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level_min(level_min_id)"/>
                                                    <field name="level_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level(level_id)"/>
                                                    <field name="level_min_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                    <field name="level_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                </tree>
                                            </field>
                                            <field name="faktor_hub_personal_value" string="Total" groups="df_analisa_jabatan.group_anjab_admin"  />

                                            <field attrs="{'invisible': [('job_type','!=','struktural')]}" context="{'default_evaluasi_id': active_id,}" name="faktor_kesulitan">
                                                <tree editable="bottom">
                                                    <field invisible="True" name="evaluasi_id"/>
                                                      <field name="name" options="{'no_create': True,'no_open': True}" on_change="onchange_sub_faktor(name)" domain="[('jenis_faktor_jabatan','=','kesulitan'),('job_type', '=',parent.job_type)]" />
                                                    <field name="level_min_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level_min(level_min_id)"/>
                                                    <field name="level_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level(level_id)"/>
                                                    <field name="level_min_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                    <field name="level_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                </tree>
                                            </field>
                                            <field name="faktor_kesulitan_value" string="Total" attrs="{'invisible': [('job_type','!=','struktural')]}" groups="df_analisa_jabatan.group_anjab_admin" />

                                            <field attrs="{'invisible': [('job_type','!=','struktural')]}" context="{'default_evaluasi_id': active_id,}" name="faktor_kond_lain">
                                                <tree editable="bottom">
                                                    <field invisible="True" name="evaluasi_id"/>
                                                     <field name="name" options="{'no_create': True,'no_open': True}" on_change="onchange_sub_faktor(name)" domain="[('jenis_faktor_jabatan','=','kond_lain'),('job_type', '=',parent.job_type)]" />
                                                    <field name="level_min_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level_min(level_min_id)"/>
                                                    <field name="level_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level(level_id)"/>
                                                    <field name="level_min_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                    <field name="level_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                </tree>
                                            </field>
                                            <field name="faktor_kond_lain_value" string="Total" attrs="{'invisible': [('job_type','!=','struktural')]}" groups="df_analisa_jabatan.group_anjab_admin"  />

                                            <field attrs="{'invisible': [('job_type','=','struktural')]}" context="{'default_evaluasi_id': active_id,}" name="faktor_pengetahuan">
                                                <tree editable="bottom">
                                                    <field invisible="True" name="evaluasi_id"/>
                                                      <field name="name" options="{'no_create': True,'no_open': True}" on_change="onchange_sub_faktor(name)" domain="[('jenis_faktor_jabatan','=','pengetahuan'),('job_type', '=',parent.job_type)]" />
                                                    <field name="level_min_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level_min(level_min_id)"/>
                                                    <field name="level_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level(level_id)"/>
                                                    <field name="level_min_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                    <field name="level_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                </tree>
                                            </field>
                                            <field name="faktor_pengetahuan_value" string="Total" attrs="{'invisible': [('job_type','=','struktural')]}" groups="df_analisa_jabatan.group_anjab_admin"  />

                                            <field attrs="{'invisible': [('job_type','=','struktural')]}" context="{'default_evaluasi_id': active_id,}" name="faktor_pengawasan_penyelia">
                                                <tree editable="bottom">
                                                    <field invisible="True" name="evaluasi_id"/>
                                                      <field name="name" options="{'no_create': True,'no_open': True}" on_change="onchange_sub_faktor(name)" domain="[('jenis_faktor_jabatan','=','pengawasan_penyelia'),('job_type', '=',parent.job_type)]" />
                                                    <field name="level_min_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level_min(level_min_id)"/>
                                                    <field name="level_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level(level_id)"/>
                                                    <field name="level_min_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                    <field name="level_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                </tree>
                                            </field>
                                            <field name="faktor_pengawasan_penyelia_value" string="Total" attrs="{'invisible': [('job_type','=','struktural')]}"  groups="df_analisa_jabatan.group_anjab_admin"  />

                                            <field attrs="{'invisible': [('job_type','=','struktural')]}" context="{'default_evaluasi_id': active_id,}" name="faktor_pedoman">
                                                <tree editable="bottom">
                                                    <field invisible="True" name="evaluasi_id"/>
                                                     <field name="name" options="{'no_create': True,'no_open': True}" on_change="onchange_sub_faktor(name)" domain="[('jenis_faktor_jabatan','=','pedoman'),('job_type', '=',parent.job_type)]" />
                                                    <field name="level_min_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level_min(level_min_id)"/>
                                                    <field name="level_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level(level_id)"/>
                                                    <field name="level_min_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                    <field name="level_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                </tree>
                                            </field>
                                            <field name="faktor_pedoman_value" string="Total" attrs="{'invisible': [('job_type','=','struktural')]}" groups="df_analisa_jabatan.group_anjab_admin"  />

                                            <field attrs="{'invisible': [('job_type','=','struktural')]}" context="{'default_evaluasi_id': active_id,}" name="faktor_kompleksitas">
                                                <tree editable="bottom">
                                                    <field invisible="True" name="evaluasi_id"/>
                                                      <field name="name" options="{'no_create': True,'no_open': True}" on_change="onchange_sub_faktor(name)" domain="[('jenis_faktor_jabatan','=','kompleksitas'),('job_type', '=',parent.job_type)]" />
                                                    <field name="level_min_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level_min(level_min_id)"/>
                                                    <field name="level_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level(level_id)"/>
                                                    <field name="level_min_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                    <field name="level_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                </tree>
                                            </field>
                                            <field name="faktor_kompleksitas_value" string="Total" attrs="{'invisible': [('job_type','=','struktural')]}" groups="df_analisa_jabatan.group_anjab_admin"  />

                                            <field attrs="{'invisible': [('job_type','=','struktural')]}" context="{'default_evaluasi_id': active_id,}" name="faktor_tujuan_hubungan">
                                                <tree editable="bottom">
                                                    <field invisible="True" name="evaluasi_id"/>
                                                     <field name="name" options="{'no_create': True,'no_open': True}" on_change="onchange_sub_faktor(name)" domain="[('jenis_faktor_jabatan','=','tujuan_hubungan'),('job_type', '=',parent.job_type)]"  />
                                                    <field name="level_min_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level_min(level_min_id)"/>
                                                    <field name="level_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level(level_id)"/>
                                                    <field name="level_min_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                    <field name="level_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                </tree>
                                            </field>
                                            <field name="faktor_tujuan_hubungan_value" string="Total" attrs="{'invisible': [('job_type','=','struktural')]}" groups="df_analisa_jabatan.group_anjab_admin"  />
                                            <!--
                                            <field attrs="{'invisible': [('job_type','=','struktural')]}" context="{'default_evaluasi_id': active_id,}" name="faktor_sifat_hubungan">
                                                <tree editable="bottom">
                                                    <field invisible="True" name="evaluasi_id"/>
                                                    <field name="name" options="{'no_create': True}"/>
                                                    <field name="level_min_id" options="{'no_create': True}"/>
                                                    <field name="level_id" options="{'no_create': True}"/>
                                                    <field name="level_min_value"/>
                                                    <field name="level_value"/>
                                                </tree>
                                            </field>
                                            <field name="faktor_sifat_hubungan_value" string="Total" attrs="{'invisible': [('job_type','=','struktural')]}" />
                            -->
                                            <field attrs="{'invisible': [('job_type','=','struktural')]}" context="{'default_evaluasi_id': active_id,}" name="faktor_persyaratan_fisik">
                                                <tree editable="bottom">
                                                    <field invisible="True" name="evaluasi_id"/>
                                                      <field name="name" options="{'no_create': True,'no_open': True}" on_change="onchange_sub_faktor(name)" domain="[('jenis_faktor_jabatan','=','persyaratan_fisik'),('job_type', '=',parent.job_type)]" />
                                                    <field name="level_min_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level_min(level_min_id)"/>
                                                    <field name="level_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level(level_id)"/>
                                                    <field name="level_min_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                    <field name="level_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                </tree>
                                            </field>
                                            <field name="faktor_persyaratan_fisik_value" string="Total" attrs="{'invisible': [('job_type','=','struktural')]}" groups="df_analisa_jabatan.group_anjab_admin"  />

                                            <field attrs="{'invisible': [('job_type','=','struktural')]}" context="{'default_evaluasi_id': active_id,}" name="faktor_lingkungan_pekerjaan">
                                                <tree editable="bottom">
                                                    <field invisible="True" name="evaluasi_id"/>
                                                      <field name="name" options="{'no_create': True,'no_open': True}" on_change="onchange_sub_faktor(name)" domain="[('jenis_faktor_jabatan','=','lingkungan_pekerjaan'),('job_type', '=',parent.job_type)]" />
                                                    <field name="level_min_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level_min(level_min_id)"/>
                                                    <field name="level_id" options="{'no_create': True,'no_open': True}" domain="[('job_type', '=',parent.job_type),('sub_faktor_id', '=',name)]" on_change="on_change_level(level_id)"/>
                                                    <field name="level_min_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                    <field name="level_value" groups="df_analisa_jabatan.group_anjab_admin" />
                                                </tree>
                                            </field>
                                            <field name="faktor_lingkungan_pekerjaan_value" string="Total" attrs="{'invisible': [('job_type','=','struktural')]}"  groups="df_analisa_jabatan.group_anjab_admin"  />

                                        </group>
                                    </form>
                                </field>
                                <br/>
                                        <span> 
                                            <i>*Setiap Uraian Tugas Wajib Diiskan Faktor Evaluasi Jabatan. Setiap Faktor Jabatan Terdapat Level Minimal Dan Level Anda Saat Ini.</i> <br/>
                                            <i>*Apabila Terdapat Ketidaksesuain Uraian Tugas Jabatan, Silakan Kembali Ke Tab <strong>Uraian Tugas</strong>,Koreksi Uraian Tugas,  Lalu Tekan Tombol <strong>Atur Ulang Uraian Tugas</strong>.</i> <br/>
                                        </span>
                                <div class="oe_right">
                                    <h3>
                                         <label for ="nilai_evaluasi_jabatan"  string="Nilai" groups="df_analisa_jabatan.group_anjab_admin" /> : 
                                        <field name="nilai_evaluasi_jabatan"  groups="df_analisa_jabatan.group_anjab_admin" />
                                    </h3>
                                </div>

                                
                            </page>
                            <page attrs="{'invisible':[('stage','not in',['6','7','8','9','99'])]}" name="page_hasil_kerja" string="Hasil Kerja">
                                <span>
                                        <strong>  
                                            Silakan Isi Hasil Kerja Di Seluruh Poin Uraian Tugas: 
                                        </strong>
                                        <br/>
                                </span>
                                <br/>
                                <field context="{'default_template_id': active_id,}" name="hasil_kerja_ids" string="Hasil Kerja" attrs="{'readonly':[('state','!=','draft')]}" >
                                    <tree string="Hasil Kerja" create="false" delete="false">
                                        <field invisible="True" name="template_id"/>
                                        <field domain="[('template_id', '=',parent.id),('is_use','=',True)]" name="uraian_id" readonly="True" />
                                        <field name="total_waktu_kerja"/>
                                        <field name="total_anggaran_kerja"/>
                                        <field name="hasil_kerja_uraian_ids"/>

                                    </tree>
                                    <form string="Hasil Kerja">
                                        <group>
                                            <field invisible="True" name="template_id"/>
                                            <field domain="[('template_id', '=',parent.id),('is_use','=',True)]" name="uraian_id" readonly="True" options="{'no_create': True,'no_open': True}"/>
                                            <field invisible="True" name="job_type"/>
                                            <field name="total_waktu_kerja"/>
                                            <field name="total_anggaran_kerja"/>
                                        </group>
                                        <hr/>
                                        <notebook>
                                            <page string="Hasil Kerja" >
                                                    <group string="Hasil Kerja"> </group>
                                                        <div name="div_hasil_kerja">
                                                            <field context="{'default_uraian_id': active_id,}" name="hasil_kerja_uraian_ids">
                                                                <tree>
                                                                    <field invisible="True" name="uraian_id"/>
                                                                    <field name="hasil_id"/>
                                                                    <field name="jumlah_satuan"/>
                                                                    <field name="satuan_id"/>
                                                                    <field name="waktu_kerja"/>
                                                                    <field name="bahan_id" widget="many2many_tags"/>
                                                                    <field name="penggunaan_bahan_id" widget="many2many_tags"/>
                                                                    <field name="perangkat_id" widget="many2many_tags"/>
                                                                    <field name="penggunaan_perangkat_id" widget="many2many_tags"/>
                                                                    <field name="tanggung_jawab" widget="many2many_tags" invisible="True"/>
                                                                    <field name="wewenang" widget="many2many_tags"  invisible="True"/>
                                                                    <field name="anggaran_kerja_id"/>
                                                                </tree>
                                                                <form>

                                                                    <group>
                                                                        <field invisible="True" name="uraian_id"/>
                                                                        <field name="hasil_id" options="{'no_create': False,'no_open': False}" required="True" />
                                                                        <field name="jumlah_satuan" required="True" />
                                                                        <field name="satuan_id" options="{'no_create': False,'no_open': True}" required="True" />
                                                                        <field name="waktu_kerja" required="True" />
                                                                        <field name="bahan_id" widget="many2many_tags" required="True"  options="{'no_create': False}" />
                                                                        <field name="penggunaan_bahan_id" widget="many2many_tags" required="True"  options="{'no_create': False}" />
                                                                        <field name="perangkat_id" widget="many2many_tags" required="True"  options="{'no_create': False}" />
                                                                        <field name="penggunaan_perangkat_id" widget="many2many_tags" required="True"  options="{'no_create': False}" />
                                                                        <field name="anggaran_kerja_id" options="{'no_create': True}" required="True"  />
                                                                    </group>
                                                                    <group  string="Tanggung Jawab" cols="4">
                                                                        <div>
                                                                            <field name="tanggung_jawab" widget="many2many_checkboxes" required="True"  options="{'no_create': True}" />
                                                                        </div>
                                                                      
                                                                     </group>
                                                                    <group  string="Wewenang" >
                                                                        <div>
                                                                              <field name="wewenang" widget="many2many_checkboxes"  required="True" options="{'no_create': True}" />
                                                                        </div>
                                                                     </group>
                                                                      
                                                                </form>
                                                            </field>
                                                        </div>
                                            </page>
                                            <page string="Lingkungan" >
                                                    <group string="Lingkungan Kerja">
                                                            <field context="{'default_uraian_id': active_id,}" name="kondisi_ids">
                                                                <tree editable="bottom">
                                                                    <field invisible="True" name="uraian_id"/>
                                                                    <field name="kondisi_id" required="True" options="{'no_create': True,'no_open':True}" on_change="onchange_kondisi(kondisi_id)"/>
                                                                    <field name="faktor_id" required="True" options="{'no_create': True,'no_open':True}"/>
                                                                    <field name="exist_faktor_id" required="True" options="{'no_create': True,'no_open':True}"/>
                                                                </tree>
                                                            </field>
                                                            <field context="{'default_uraian_id': active_id,}" name="resiko_ids">
                                                                <tree editable="bottom">
                                                                    <field invisible="True" name="uraian_id"/>
                                                                    <field name="bentuk_id" required="True" options="{'no_create': False,'no_open':True}" on_change="onchange_bentuk(bentuk_id)"/>
                                                                    <field name="resiko_id" required="True" options="{'no_create': False,'no_open':True}"/>
                                                                </tree>
                                                            </field>
                                                            <field attrs="{'invisible': [('job_type','!=','struktural')]}" context="{'default_uraian_id': active_id,}" name="korelasi_ids">
                                                                <tree>
                                                                    <field invisible="True" name="uraian_id"/>
                                                                    <field name="jenis_korelasi" />
                                                                    <field name="perihal_id"/>
                                                                </tree>
                                                                <form>
                                                                    <group>
                                                                        <field invisible="True" name="uraian_id"/>
                                                                        <field name="jenis_korelasi" required="True"/>
                                                                        <field name="relation_jabatan_id" attrs="{'invisible': [('jenis_korelasi','!=','internal')]}" domain="[('job_type', '=','struktural')]"  options="{'no_create': True,'no_open':True}" />
                                                                        <field name="jenis_instansi_id" attrs="{'invisible': [('jenis_korelasi','=','internal')]}" options="{'no_create': True,'no_open':True}" />
                                                                         <field name="name" attrs="{'invisible': [('jenis_korelasi','=','internal')]}"/>
                                                                        <field name="company_id" invisible="True" />
                                                                        <field name="department_id" invisible="True"/>
                                                                        <field name="eksternal_department" attrs="{'invisible': [('jenis_korelasi','=','internal')]}" invisible="True"/>
                                                                        <field name="perihal_id" required="True" options="{'no_create': False,'no_open':True}"/>
                                                                    </group>
                                                                     </form>
                                                                    </field>
                                                                </group>
                                                </page>
                                            </notebook>
                                   
                                        
                                               
                                    </form>
                                </field>
                                <br/>
                                        <span> 
                                            <i>*Setiap Uraian Tugas Wajib Memiliki Hasil Kerja. </i> <br/>
                                            <i>*Apabila Terdapat Ketidaksesuain Uraian Tugas Jabatan, Silakan Kembali Ke Tab <strong>Uraian Tugas</strong>,Koreksi Uraian Tugas,  Lalu Tekan Tombol <strong>Atur Ulang Uraian Tugas</strong>.</i> <br/>
                                        </span>
                            </page>
                            <page attrs="{'invisible':[('stage','not in',['7','8','9','99'])]}" name="page_tahapan_kerja" string="Tahapan Kerja">
                                <span>
                                        <strong>  
                                            Silakan Isi Tahapan Kerja Anda Di Seluruh Poin Uraian Tugas: 
                                        </strong>
                                        <br/>
                                </span>
                                <br/>
                                
                                <field context="{'default_template_id': active_id,}" name="tahapan_kerja_ids" attrs="{'readonly':[('state','!=','draft')]}" >
                                    <tree context="{'default_group_by': uraian_id,}" create="false" delete="false">
                                        <field invisible="True" name="template_id"/>
                                        <field domain="[('template_id', '=',parent.id),('is_use','=',True)]" name="uraian_id"/>
                                        <field name="tahapan_ids"/>
                                    </tree>
                                    <form>
                                        <group>
                                            <field invisible="True" name="template_id"/>
                                            <field domain="[('template_id', '=',parent.id),('is_use','=',True)]" name="uraian_id" readonly="True"  options="{'no_create': True,'no_open':True}" />
                                        </group>
                                        <hr/>
                                        <div>
                                            <field context="{'default_uraian_id': active_id,}" name="tahapan_ids">
                                                <tree>
                                                    <field invisible="True" name="uraian_id"/>
                                                    <field name="name"/>
                                                    <field name="hasil_ids"/>
                                                </tree>
                                                <form>
                                                    <group>
                                                        <field invisible="True" name="uraian_id"/>
                                                        <field name="name" required="True"  placeholder="Detailkan Tahapan Dari Uraian Tugas Ini...."/>
                                                        <field context="{'default_tahapan_id': active_id,}" name="hasil_ids">
                                                            <tree editable="bottom">
                                                                <field invisible="True" name="tahapan_id"/>
                                                                <field name="name" required="True" options="{'no_create': False,'no_open':True}"/>
                                                                <field name="jumlah_satuan" required="True"/>
                                                                <field name="satuan_id" required="True" options="{'no_create': False,'no_open':True}"/>
                                                                <field name="waktu_kerja" required="True"/>
                                                            </tree>
                                                        </field>
                                                    </group>
                                                </form>
                                            </field>
                                        </div>
                                    </form>
                                </field>
                                <br/>
                                        <span> 
                                            <i>*Setiap Uraian Tugas Wajib Di Detailkan Kedalam Tahapan-Tahapan Pekerjaan. </i> <br/>
                                            <i>*Setiap Uraian Minimal Memiliki 3 Tahapan Kerja. </i> <br/>
                                            <i>*Apabila Terdapat Ketidaksesuain Uraian Tugas Jabatan, Silakan Kembali Ke Tab <strong>Uraian Tugas</strong>,Koreksi Uraian Tugas,  Lalu Tekan Tombol <strong>Atur Ulang Uraian Tugas</strong>.</i> <br/>
                                        </span>
                            </page>
                            <page attrs="{'invisible':[('stage','not in',['8','9','99'])]}" name="page_kualifikasi_jabatan" string="Syarat Jab.">
                                <span>
                                        <strong>  
                                            Silakan Kualifikasi Syarat Jabatan Anda Saat Ini, Serta Syarat Minimal Untuk Jabatan Anda.
                                        </strong>
                                        <br/>
                                </span>
                                <br/>
                                <group string="Pendidikan"/>
                                <table class="oe_list_content">
                                    <thead>
                                        <tr>
                                            <th/>
                                            <th>Syarat Minimal</th>
                                            <th>Kualifikasi Anda Saat Ini</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>
                                                <label for="exist_golongan_id"/>
                                            </td>
                                            <td>
                                                <field name="golongan_id" attrs="{'readonly':[('state','!=','draft')]}"   options="{'no_create': True,'no_open':True}" />
                                            </td>
                                            <td>
                                                <field name="exist_golongan_id"  attrs="{'readonly':[('state','!=','draft')]}" options="{'no_create': True,'no_open':True}" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <label for="exist_jenjang_pendidikan_id"/>
                                            </td>
                                            <td>
                                                <field name="jenjang_pendidikan_id"  attrs="{'readonly':[('state','!=','draft')]}" options="{'no_create': True,'no_open':True}" />
                                            </td>
                                            <td>
                                                <field name="exist_jenjang_pendidikan_id"  attrs="{'readonly':[('state','!=','draft')]}"  options="{'no_create': True,'no_open':True}" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <label for="exist_program_studi_id"/>
                                            </td>
                                            <td>
                                                <field name="program_studi_id"  attrs="{'readonly':[('state','!=','draft')]}" options="{'no_open':True}" />
                                            </td>
                                            <td>
                                                <field name="exist_program_studi_id"  attrs="{'readonly':[('state','!=','draft')]}" options="{'no_open':True}" />
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                                <hr/>
                                <!--
                                    <group string="Keterampilan Kerja`"></group><table class="oe_list_content"><thead><tr><th></th><th>Syarat Minimal</th><th>Kualifikasi Anda Saat Ini</th></tr></thead><tbody><tr><td><label for="exist_pengetahuan_kerja"/></td><td><field name="pengetahuan_kerja"  widget="many2many_tags"  /></td><td><field name="exist_pengetahuan_kerja"  widget="many2many_tags"   /></td></tr><tr><td><label for="exist_keterampilan_kerja"/></td><td><field name="keterampilan_kerja"   widget="many2many_tags" /></td><td><field name="exist_keterampilan_kerja"   widget="many2many_tags" /></td></tr><tr><td><label for="exist_minat_kerja"/></td><td><field name="minat_kerja"   widget="many2many_tags" /></td><td><field name="exist_minat_kerja"   widget="many2many_tags" /></td></tr><tr><td><label for="exist_bakat_kerja"/></td><td><field name="bakat_kerja"   widget="many2many_tags"  /></td><td><field name="exist_bakat_kerja"   widget="many2many_tags" /></td></tr><tr><td><label for="exist_tempramen_kerja"/></td><td><field name="tempramen_kerja"  widget="many2many_tags"   /></td><td><field name="exist_tempramen_kerja"   widget="many2many_tags" /></td></tr></tbody></table>-->
                                <group string="Diklat"/>
                                <table class="oe_list_content">
                                    <thead>
                                        <tr>
                                            <th/>
                                            <th>Syarat Minimal</th>
                                            <th>Kualifikasi Anda Saat Ini</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>
                                                <label for="exist_diklat_perjenjangan"/>
                                            </td>
                                            <td>
                                                <field name="diklat_perjenjangan"   widget="many2many_tags" attrs="{'readonly':[('state','!=','draft')]}" options="{'no_create': True,'no_open':True}" />
                                            </td>
                                            <td>
                                                <field name="exist_diklat_perjenjangan"  widget="many2many_tags" attrs="{'readonly':[('state','!=','draft')]}" options="{'no_create': True,'no_open':True}" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <label for="exist_diklat_teknis"/>
                                            </td>
                                            <td>
                                                <field name="diklat_teknis"  widget="many2many_tags" attrs="{'readonly':[('state','!=','draft')]}"  options="{'no_open':True}"   />
                                            </td>
                                            <td>
                                                <field name="exist_diklat_teknis"  widget="many2many_tags" attrs="{'readonly':[('state','!=','draft')]}"  options="{'no_open':True}"  />
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                                <hr/>
                                <group string="Kondisi Fisik"/>
                                <table class="oe_list_content">
                                    <thead>
                                        <tr>
                                            <th/>
                                            <th>Syarat Minimal</th>
                                            <th>Kualifikasi Anda Saat Ini</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>
                                                <label for="exist_jenis_kelamin"/>
                                            </td>
                                            <td>
                                                <field name="jenis_kelamin"  attrs="{'readonly':[('state','!=','draft')]}" />
                                            </td>
                                            <td>
                                                <field name="exist_jenis_kelamin"  attrs="{'readonly':[('state','!=','draft')]}" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <label for="exist_umur"/>
                                            </td>
                                            <td>
                                                <field name="umur"  attrs="{'readonly':[('state','!=','draft')]}" options="{'no_create': True,'no_open':True}"/>
                                            </td>
                                            <td>
                                                <field name="exist_umur"  attrs="{'readonly':[('state','!=','draft')]}" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <label for="exist_tinggi_badan"/>
                                            </td>
                                            <td>
                                                <field name="tinggi_badan"  attrs="{'readonly':[('state','!=','draft')]}" options="{'no_create': True,'no_open':True}" />
                                            </td>
                                            <td>
                                                <field name="exist_tinggi_badan"  attrs="{'readonly':[('state','!=','draft')]}" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <label for="exist_berat_badan" attrs="{'readonly':[('state','!=','draft')]}" />
                                            </td>
                                            <td>
                                                <field name="berat_badan" attrs="{'readonly':[('state','!=','draft')]}"   options="{'no_create': True,'no_open':True}" />
                                            </td>
                                            <td>
                                                <field name="exist_berat_badan"  attrs="{'readonly':[('state','!=','draft')]}" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <label for="exist_penampilan"/>
                                            </td>
                                            <td>
                                                <field name="penampilan" widget="many2many_tags"  attrs="{'readonly':[('state','!=','draft')]}"  options="{'no_create': False,'no_open':True}"/>
                                            </td>
                                            <td>
                                                <field name="exist_penampilan" widget="many2many_tags"  attrs="{'readonly':[('state','!=','draft')]}"  options="{'no_create': False,'no_open':True}"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <label for="exist_upaya_fisik"/>
                                            </td>
                                            <td>
                                                <field name="upaya_fisik" widget="many2many_tags"   attrs="{'readonly':[('state','!=','draft')]}" options="{'no_create': False,'no_open':True}" />
                                            </td>
                                            <td>
                                                <field name="exist_upaya_fisik" widget="many2many_tags"  attrs="{'readonly':[('state','!=','draft')]}" options="{'no_create': False,'no_open':True}" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <label for="exist_postur_badan"/>
                                            </td>
                                            <td>
                                                <field name="postur_badan" widget="many2many_tags"  attrs="{'readonly':[('state','!=','draft')]}" options="{'no_create': False,'no_open':True}" />
                                            </td>
                                            <td>
                                                <field name="exist_postur_badan" widget="many2many_tags" attrs="{'readonly':[('state','!=','draft')]}"  options="{'no_create': False,'no_open':True}" />
                                            </td>
                                        </tr>
                                        
                                    </tbody>
                                </table>
                                <hr/>
                                <group attrs="{'invisible': [('job_type','!=','struktural')]}" string="Pengalaman Kerja">
                                    <field context="{'default_template_id': active_id}" name="pengalaman_kerja" string="Syarat Minimal" >
                                                <tree editable="bottom">
                                                    <field invisible="True" name="template_id"/>
                                                    <field name="pengalaman_id" options="{'no_create': False,'no_open':True}"/>
                                                       <field name="company_id" options="{'no_create': True,'no_open':True}" />
                                                    <field name="waktu"/>
                                                </tree>
                                    </field>
                                  
                                    <field context="{'default_template_id': active_id}" name="exist_pengalaman_kerja" string="Kualifikasi Anda Saat Ini">
                                                <tree editable="bottom" >
                                                    <field invisible="True" name="template_id"/>
                                                   
                                                    <field name="pengalaman_id"/>
                                                     <field name="company_id" />
                                                    <field name="waktu"/>
                                                </tree>
                                    </field>
                                </group>
                            </page>
                        </notebook>
                        <notebook id="note_other" invisible="True" >
                            <page id="page_verifikasi" string="Hasil Verifikasi">
                                <group>
                                    <field name="user_id_bkd" />
                                </group>
                            </page>
                        </notebook>
                              <div align="center" attrs="{'invisible':[('state','!=','draft')]}">
                            
                                <button type="object" id="stage_1" name="next_stage" String="Lanjutkan" class="oe_highlight" attrs="{'invisible':[('stage','in',['1', '2','3','4','5','6','7','8','9'])]}" />
                                <button type="object" id="stage_2" name="next_stage" String="Lanjutkan" class="oe_highlight" attrs="{'invisible':[('stage','!=','1')]}"  />
                                <button type="object" id="stage_3" name="next_stage" String="Lanjutkan" class="oe_highlight" attrs="{'invisible':[('stage','!=','2')]}"  confirm="Apakah Anda Yakin Sudah Mengisi Data Dengan Benar ?"/>
                                <button type="object" id="stage_4" name="next_stage" String="Lanjutkan" class="oe_highlight" attrs="{'invisible':[('stage','!=','3')]}" confirm="Apakah Anda Yakin Sudah Mengisi Data Dengan Benar ?" />
                                <button type="object" id="stage_5" name="next_stage" String="Lanjutkan" class="oe_highlight" attrs="{'invisible':[('stage','!=','4')]}" confirm="Apakah Anda Yakin Sudah Mengisi Data Dengan Benar ?" />
                                <button type="object" id="stage_6" name="next_stage" String="Lanjutkan" class="oe_highlight" attrs="{'invisible':[('stage','!=','5')]}" confirm="Apakah Anda Yakin Sudah Mengisi Data Dengan Benar ?" />
                                <button type="object" id="stage_7" name="next_stage" String="Lanjutkan" class="oe_highlight" attrs="{'invisible':[('stage','!=','6')]}" confirm="Apakah Anda Yakin Sudah Mengisi Data Dengan Benar ?" />
                                <button type="object" id="stage_8" name="next_stage" String="Lanjutkan" class="oe_highlight" attrs="{'invisible':[('stage','!=','7')]}" confirm="Apakah Anda Yakin Sudah Mengisi Data Dengan Benar ?" />
                                <button type="object" id="stage_9" name="action_draft_done" String="Selesai" class="oe_highlight" attrs="{'invisible':[('stage','!=','8'),('state','=','draft')]}" confirm="Apakah Anda Yakin Selesai Mengisi Data Dengan Benar?, Jika Ya Segera Ajukan Ke BKD, Untuk diverifikasi"   /> 


                          <!--  <button String="Lanjutkan" id="next" name="next_stage" type="object"/> -->
                            
                        </div>
                    </sheet>
                </form>
            </field>
        </record>
        <record id="action_informasi_jabatan_verifikatur" model="ir.actions.act_window">
            <field name="name">Verifikasi Informasi Jabatan</field>
            <field name="res_model">informasi.jabatan</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="domain">[('user_id_bkd','=',uid)]</field>
            <field name="help" type="html">
                <p>Tidak ada informasi jabatan yang harus diisi
              </p>
            </field>
        </record>
        <record id="action_informasi_jabatan_admin" model="ir.actions.act_window">
            <field name="name">Informasi Jabatan</field>
            <field name="res_model">informasi.jabatan</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <!--<field name="domain">[('user_id','=',uid)]</field>-->
            <field name="help" type="html">
                <p>Tidak ada informasi jabatan yang harus diisi
              </p>
            </field>
        </record>
        <record id="action_informasi_jabatan_pegawai" model="ir.actions.act_window">
            <field name="name">Informasi Jabatan</field>
            <field name="res_model">informasi.jabatan</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="domain">[('user_id','=',uid)]</field>
            <field name="help" type="html">
                <p>Tidak ada informasi jabatan yang harus diisi
              </p>
            </field>
        </record>
        <menuitem groups="df_partner_employee.group_partner_employee,df_analisa_jabatan.group_anjab_admin" id="menu_sub_informasi_jabatan" name="Informasi Jabatan" parent="df_partner_employee.menu_data_kepegawaian" sequence="20"/>
        
        <menuitem action="action_informasi_jabatan_pegawai" groups="df_partner_employee.group_partner_employee" id="menu_informasi_data_jabatan_pegawai" name="Informasi Jabatan" parent="menu_sub_informasi_jabatan" sequence="1"/>

        <menuitem action="action_informasi_jabatan_verifikatur" groups="df_analisa_jabatan.group_anjab_admin" id="menu_informasi_data_jabatan_verifikatur" name="Verifikasi Informasi Jabatan" parent="menu_sub_informasi_jabatan" sequence="9"/>

        <menuitem action="action_informasi_jabatan_admin" groups="base.group_no_one" id="menu_informasi_data_jabatan_admin" name="Informasi Jabatan Admin" parent="menu_sub_informasi_jabatan" sequence="10"/>


        <record id="view_notification_informasi_jabatan_done" model="ir.ui.view">
            <field name="name">Isi Informasi Jabatan Selesai</field>
            <field name="model">notification.informasi.jabatan.done</field>
            <field name="arch" type="xml">
                <form string="Isi Informasi Jabatan Selesai" version="7.0">
                    <separator string="Terima Kasih Atas Partisipasi Anda Dalam Mengisi Informasi Jabatan"/>
                    <footer>
                        <div>
                            <button special="cancel" string="OK" class="oe_highlight"/>
                        </div>
                    </footer>
                 </form>
            </field>
      </record>

    </data>
</openerp>